.Dd September 5, 2006
.Os Ubuntu
.ds volume-operating-system Ubuntu
.Dt GEN_KEYMAP 1
.Sh NAME
.Nm gen_keymap
.Nd generate a keyboard map decision tree
.Sh SYNOPSIS
.Nm
.Ar list ...
.Sh DESCRIPTION
.Nm
generates a decision tree from a set of keyboard maps which can be used to
help a user decide which keyboard map to use.
The program using the decision tree typically asks the user to press some
keys; at each step, it examines the returned keycode and uses it to prune
the list of possible keyboard maps until there is only one left.
.Sh OPTIONS
.Bl -tag -width 4n
.It Fl Fl version
Show program's version number and exit.
.It Fl ? , Fl Fl help
Show help text.
.It Fl v , Fl Fl verbose
Be more verbose.
.It Fl m Ns Ar MINLEN , Fl Fl minlen Ns = Ns Ar MINLEN
Too-short keymaps are skipped (default: 30 entries).
.It Fl g , Fl Fl graph
Generate a hopefully-nice-looking .dot file.
.It Fl Fl maps
Print the to-be-processed keymaps
.It Fl i , Fl Fl installer
Input files are in d-i map form.
.It Fl I Ns Ar DIRS , Fl Fl inc Ns = Ns Ar DIRS , Fl Fl include Ns = Ns Ar DIRS
Add a directory to the search path.
.It Fl o Ns Ar FILENAME , Fl Fl output Ns = Ns Ar FILENAME
Set output file (default: stdout).
.It Fl f Ns Ar FILTER , Fl Fl filter Ns = Ns Ar FILTER
Include only the branches leading to these keymaps.
.It Fl u Ns Ar USEONLY , Fl Fl useonly Ns = Ns Ar USEONLY
Start generating the tree based only on these keymaps.
(The difference between
.Fl Fl filter
and
.Fl Fl useonly
is that the former generates the whole tree and then prunes it, while the
latter only generates a reduced tree to begin with.
This may have implications for performance on large trees.)
.It Fl s Ns Ar SKIP , Fl Fl skip Ns = Ns Ar SKIP
Keymaps to skip.
.It Fl t , Fl Fl test
Test the generated maps.
.It Fl Fl interactive
Ask user to choose among indistinguishable keymaps.
.El
.Sh AUTHORS
.An -nosplit
.Nm
was written by
.An "Matthias Urlichs" Aq smurf@debian.org .
This manual page was written by
.An "Colin Watson" Aq cjwatson@ubuntu.com .
